liblocale-gettext-perl (1.07-3) unstable; urgency=medium

  * Team upload.
  * Enable all hardening build flags.
  * Declare compliance with Standards-Version 3.9.8.

 -- intrigeri <intrigeri@debian.org>  Fri, 08 Jul 2016 12:45:22 +0000

liblocale-gettext-perl (1.07-2) unstable; urgency=medium

  * Team upload from the Debian Perl Sprint in Zürich.

  [ gregor herrmann ]
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ Niko Tyni ]
  * Modernize the cross building support. (See #717433)
    + build profile restrictions require build dependencies on
      dpkg-dev (>= 1.17.14) and debhelper (>=  debhelper 9.20141010).

 -- Niko Tyni <ntyni@debian.org>  Sun, 22 May 2016 13:00:15 +0300

liblocale-gettext-perl (1.07-1) unstable; urgency=medium

  * Imported Upstream version 1.07.
    + fixes test failures caused by $LANGUAGE being set (Closes: #796152)
    + remove obsolete debian/patches
  * Add debian/upstream/metadata.

 -- Niko Tyni <ntyni@debian.org>  Mon, 28 Sep 2015 21:20:54 +0300

liblocale-gettext-perl (1.05-9) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Raphaël Hertzog ]
  * Drop myself from Uploaders.

  [ Axel Beckert ]
  * Fix broken MetaCPAN URL in debian/copyright. Thanks DUCK!

  [ Niko Tyni ]
  * Make the package autopkgtestable
  * Mention the module name in the long description

 -- Niko Tyni <ntyni@debian.org>  Fri, 05 Jun 2015 17:23:28 +0300

liblocale-gettext-perl (1.05-8) unstable; urgency=low

  * Team upload.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"
  * Remove trailing file name from MetaCPAN URL (Thanks DUCK!)

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ intrigeri ]
  * Declare compatibility with Standards-Version 3.9.5.
  * Bump debhelper compat level to 9.
  * Adjust versioned Build-Depends on debhelper to (>= 9.20120312~)
    to get hardening build flags.

 -- intrigeri <intrigeri@debian.org>  Thu, 06 Mar 2014 23:43:07 +0100

liblocale-gettext-perl (1.05-7) unstable; urgency=low

  [ Steve McIntyre ]
  * Configure perl C compilation for cross builds
    + Initial patch from Peter Pearse <peter.pearse@linaro.org>
    Closes: #633949

  [ gregor herrmann ]
  * Improvements to Steve's patch by Ansgar.
  * Switch to source format 3.0 (quilt).
  * Add /me to Uploaders.
  * Set Standards-Version to 3.9.2 (no changes).
  * Bump debhelper compatibility level to 8.
  * debian/copyright: DEP5 format.

 -- gregor herrmann <gregoa@debian.org>  Sat, 16 Jul 2011 20:55:03 +0200

liblocale-gettext-perl (1.05-6) unstable; urgency=low

  * The -d option of dh_perl was lost by mistake while converting to tiny
    rules files. Re-add it. Closes: #548860

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 29 Sep 2009 12:21:42 +0200

liblocale-gettext-perl (1.05-5) unstable; urgency=low

  [ gregor herrmann ]
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Raphaël Hertzog ]
  * Update my name in Uploaders to add the accented character.
  * Switch to debhelper 7 tiny rules file and compat mode.
  * Update Standards-Version to 3.8.3 (no changes needed).
  * Update meta-information in patches files to comply with DEP-3.
  * Update Homepage field.
  * Update my email in README.debian.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 20 Sep 2009 21:28:08 +0200

liblocale-gettext-perl (1.05-4) unstable; urgency=low

  * Put ${perl:Depends} back into Pre-Depends. The revert in 1.05-2 was
    wrong. The pre-dependency is needed to make sure that the right perl
    version is unpacked before liblocale-gettext-perl so that any
    script/module using Locale::Gettext (still) work once this module
    has been unpacked. This is particulary important for transitions like
    perl-5.8 -> perl-5.10 (see #479220 for example).
  * New patch debian/patches/compatibility-with-POSIX-module.diff so that
    Locale::Gettext re-exports the LC_* constants coming from POSIX instead
    of those coming from its own XS implementation. Closes: #479803

 -- Raphael Hertzog <hertzog@debian.org>  Wed, 07 May 2008 09:56:21 +0200

liblocale-gettext-perl (1.05-3) unstable; urgency=low

  [ Raphael Hertzog ]
  * Change priority to required to match overrides.

  [ Damyan Ivanov ]
  * debian/watch: use dist-based URL.
  * debian/rules:
    + put -Wall in CFLAGS
    + use "$@" when touching stamps
    + use $(CURDIR) instead of `pwd`
    + make build-stamp target depend on $(QUILT_STAMPFN) instead of 'patch'
    + drop unneeded dh_installdirs and debian/dirs
    + split DESTDIR and PREFIX when calling $(MAKE) install
    + correct the logic around removing empty usr/share/perl5 so that it does
      not fail when the directory does not exist
    + drop commented-out and unneeded debhelper calls

  [ Niko Tyni ]
  * Add myself to Uploaders.

 -- Niko Tyni <ntyni@debian.org>  Tue, 19 Feb 2008 10:39:03 +0200

liblocale-gettext-perl (1.05-2) unstable; urgency=low

  [ Raphael Hertzog ]
  * Move myself to Uploaders and put the team as Maintainer.
  * Switch to debhelper's 6th compatibility mode. Ajust Build-Depends
    accordingly. Used debian/compat instead of DH_COMPAT.
  * Remove versioned build-dependency on perl. oldstable already has a version
    new enough.
  * Updated Standards-Version to 3.7.3 (no changes)
  * Switched to quilt instead of old home-made dpatch based system.
    Added quilt to Build-Depends.
  * Refreshed patch.
  * Updated README.Debian.
  * Remove empty /usr/share/perl5.
  * Merge Pre-Depends into Depends since the reason of the use of Pre-Depends
    was wrong headed. Furthermor the bug it was working around is now fixed.

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.

 -- Raphael Hertzog <hertzog@debian.org>  Sun, 03 Feb 2008 19:56:22 +0100

liblocale-gettext-perl (1.05-1) unstable; urgency=low

  * New upstream release
  * Conforms to policy 3.6.2.
  * Move ${perl:Depends} to Pre-Depends instead of Depends to avoid duplicate
    dependency. Fixes a lintian warning.

 -- Raphael Hertzog <hertzog@debian.org>  Wed, 22 Jun 2005 14:29:20 +0200

liblocale-gettext-perl (1.04-1) unstable; urgency=low

  * New upstream version.
  * All patches have been integrated upstream. Just a little typo in doc
    remains.
  * Conform to policy 3.6.1.
  * Updated priority to important to match the priority in the override.

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 15 Apr 2005 09:50:38 +0200

liblocale-gettext-perl (1.01-17) unstable; urgency=low

  * Corrected typo in man page. Closes: #175421
  * Updated section and priority (perl and standard respectively).
  * Conform to policy 3.5.9.

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 18 Apr 2003 16:21:03 +0000

liblocale-gettext-perl (1.01-16) unstable; urgency=low

  * Conform to policy 3.5.7
  * Debhelper 4 required now.
  * Use a multiple patch setup.
  * Added several functions: bind_textdomain_codeset ngettext dcngettext
    dngettext. Closes: #158673

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 21 Sep 2002 16:25:37 +0200

liblocale-gettext-perl (1.01-15) unstable; urgency=low

  * Updated copyright information.
  * Pre-Depends on perl-base (>= 5.8) otherwise debconf may fail
    while trying to use this module with the old perl 5.6.
    Closes: #158835

 -- Raphael Hertzog <hertzog@debian.org>  Thu, 29 Aug 2002 09:55:43 +0200

liblocale-gettext-perl (1.01-14) unstable; urgency=low

  * Rebuilt to include gettext.pm, I don't know why it disappeared. Probably
    a problem in the chroot where I built it. Closes: #158644

 -- Raphael Hertzog <hertzog@debian.org>  Wed, 28 Aug 2002 19:48:54 +0200

liblocale-gettext-perl (1.01-13) unstable; urgency=low

  * Added #include <libintl.h> for ia64, to the .xs this time...

 -- Raphael Hertzog <hertzog@debian.org>  Mon, 12 Aug 2002 09:43:14 +0200

liblocale-gettext-perl (1.01-12) unstable; urgency=low

  * Recompile with perl 5.8.

 -- Raphael Hertzog <hertzog@debian.org>  Wed, 31 Jul 2002 20:37:22 +0200

liblocale-gettext-perl (1.01-11) unstable; urgency=low

  * Added libintl.h required for ia64. Closes: #110285
  * Corrected 2 lintian warnings.

 -- Raphael Hertzog <hertzog@debian.org>  Mon,  3 Sep 2001 20:22:36 +0200

liblocale-gettext-perl (1.01-10) unstable; urgency=medium

  * Updated for the latest perl policy.
  * Complies with policy 3.5.2.

 -- Raphael Hertzog <hertzog@debian.org>  Wed, 21 Feb 2001 22:51:30 +0100

liblocale-gettext-perl (1.01-9) unstable; urgency=low

  * Compiled with perl-5.6. Conforms to policy 3.2.1. 

 -- Raphael Hertzog <hertzog@debian.org>  Tue, 26 Dec 2000 18:04:19 +0100

liblocale-gettext-perl (1.01-8) unstable; urgency=low

  * Policy 3.0.1 compliance. Built with debhelper 2.0.40. 

 -- Raphael Hertzog <hertzog@debian.org>  Thu,  9 Sep 1999 13:24:53 +0200

liblocale-gettext-perl (1.01-7) unstable; urgency=low

  * Compiled with perl-5.005.
  * Follow the new perl policy.

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Thu,  1 Jul 1999 23:00:48 +0200

liblocale-gettext-perl (1.01-6) unstable; urgency=low

  * Documented the fact that the libc only looks for .mo files
    in the locale path. Closes: #38488
  * Stripped the .so file.

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Mon, 31 May 1999 19:48:16 +0200

liblocale-gettext-perl (1.01-5) unstable; urgency=low

  * Corrected the README gettext -> Locale::gettext. Closes: #38481 

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Fri, 28 May 1999 23:53:37 +0200

liblocale-gettext-perl (1.01-4) unstable; urgency=low

  * Re-oups, not need to depend on perl-base as it's essential. Thanks
    to Darren and Santiago.

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Wed, 17 Feb 1999 15:45:03 +0100

liblocale-gettext-perl (1.01-3) unstable; urgency=low

  * Oups, forget to change the dependency. Now depends on perl-base.

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Tue, 16 Feb 1999 16:28:24 +0100

liblocale-gettext-perl (1.01-2) unstable; urgency=low

  * Changed section/priority to base/required to be able to i18ize 
    all perl scripts that are in the base system (adduser, dpkg-divert, ...).

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Wed, 10 Feb 1999 00:34:24 +0100

liblocale-gettext-perl (1.01-1) unstable; urgency=low

  * Initial Release.

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Tue, 29 Dec 1998 12:11:58 +0100


